require "import"
import "android.widget.*"
import "android.view.*"
import "android.content.*"
import "android.net.*"

webView=LuaWebView(activity)
activity.ContentView=webView
function web(title,url)
  activity.title=title
  webView.loadUrl(url)
end

webView.AdsFilter=function(url)
  if not url:find("^http") and not url:find("^mqq") then
    return true
  end
  if url:find("ads") then
    return true
  end
end

function open(u)
  u=tostring(u)
  local intent=Intent(Intent.ACTION_VIEW).setType("*/*")
  intent.setClassName("com.aareader","com.aareader.RSplashActivity")
  intent.setType("text/*")
  intent.setData(Uri.parse("file://"..tostring(u)))
  activity.startActivity(intent)
end
--下载完成事件
webView.onDownloadComplete=function(path)
  if path:find("txt") then
    open(path)
    return
  end

  local i = Intent(Intent.ACTION_VIEW);
  if path:find("%.apk$") then
    i.setDataAndType(Uri.parse("file://"..path), "application/vnd.android.package-archive");
  else
    i.setData(Uri.parse("file://"..path));
  end
  i.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
  activity.startActivity(i);
end

--获取剪切板服务
cm=activity.getSystemService(activity.CLIPBOARD_SERVICE)

--复制函数
function copy(str)
  local cd = ClipData.newPlainText("label",str)
  cm.setPrimaryClip(cd)
  Toast.makeText(activity,"已复制的剪切板",1000).show()
end


--添加菜单
function onCreateOptionsMenu(menu)
menu.add("复制链接").setShowAsAction(MenuItem.SHOW_AS_ACTION_ALWAYS)
  menu.add("刷新").setShowAsAction(MenuItem.SHOW_AS_ACTION_ALWAYS)
  menu.add("退出").setShowAsAction(MenuItem.SHOW_AS_ACTION_ALWAYS)
end

function onOptionsItemSelected(item)
  local title=item.title
if title=="复制链接" then
copy(webView.getUrl())
elseif title=="刷新" then
    webView.reload()
  elseif title=="退出" then
    activity.finish()
  end
end